package com.example.core.di

import com.example.core.data.PaymentResultImpl
import com.example.core.domain.PaymentResult
import com.google.gson.Gson
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent

@Module
@InstallIn(SingletonComponent::class)

class CoreModule {
    @Provides
    fun provideGson(): Gson {
        return Gson()
    }

    @Provides
    fun providePaymentResult(
        gson: Gson
    ): PaymentResult = PaymentResultImpl(
        gson = gson
    )
}